> ## Documentation Index > Fetch the complete documentation index at: https://docs.validatar.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Job Detail > Returns information about a specified job ## OpenAPI ````json GET /api/v1/Authoring/projects/{projectId}/jobs/{jobId} { "openapi": "3.0.4", "info": { "title": "Validatar API Documentation", "description": "# Overview\nThe Validatar Core website provides [REST](https://en.wikipedia.org/wiki/Representational_state_transfer) API access to the back-end functionality included in Validatar. This documentation provides the ability to call the API endpoints directly, provided a user is authorized to do so. If you do not currently have the Validatar app, visit the [Validatar home page](https://www.validatar.com/) to see details. If you are looking for the application documentation, visit the [Validatar application documentation page](https://docs.validatar.com/docs).\n\n\n\n# Scopes\n| Scope | Description |\n|----------------|-------------|\n| Authoring | The endpoints in Authoring provide configuration and creation operations. This includes operations such as creating folders or updating tests. |\n| Data Steward | The endpoints in Data Steward allow technical, custom, and lineage metadata ingestion at the data source, schema, table, and column levels. |\n| Execution | The endpoints in Execution allow executing standard/template tests or jobs. |\n| Catalog | The endpoints in Catalog allow retrieving technical, custom, and lineage metadata information at the data source, schema, table, and column levels. |\n| Reporting | The endpoints in Reporting allow retrieving a list of reports and executing reports. |\n| Security Admin | The endpoints in Security Admin allow configuring user groups and managing user permissions. |\n\n", "version": "v1" }, "servers": [ { "url": "https://training.cloud.validatar.com/core" } ], "tags": [ { "name": "Authoring" }, { "name": "Catalog" }, { "name": "Data Steward" }, { "name": "Execution" }, { "name": "Reporting" }, { "name": "Security Admin" } ], "paths": { "/api/v1/Authoring/projects/{projectId}/jobs/{jobId}": { "get": { "tags": [ "Authoring" ], "summary": "Get Job Detail", "description": "Returns information about a specified job", "parameters": [ { "name": "projectId", "in": "path", "description": "Project containing the job", "required": true, "schema": { "type": "integer", "format": "int32" } }, { "name": "jobId", "in": "path", "description": "Job to retrieve", "required": true, "schema": { "type": "integer", "format": "int32" } } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.JobView" } } } }, "404": { "description": "Not Found", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.Common.ErrorResponse" } } } }, "403": { "description": "Forbidden" } }, "security": [ {} ] } } }, "components": { "schemas": { "Configuration.Api.Models.v1.JobView": { "title": "JobView", "type": "object", "properties": { "readOnly": { "type": "boolean", "description": "Whether the job is read-only" }, "detail": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.JobDetail" }, "itemTypes": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.Common.KeyValue" }, "description": "List of the job's item types" }, "initialAvailableItems": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.AvailableItem" }, "description": "List of the job's initial available items" }, "initialExpandedItems": { "type": "array", "items": { "type": "string" }, "description": "List of the job's initial expanded items" }, "availableItemPageSize": { "type": "integer", "description": "The job's available item page size", "format": "int32" }, "totalAvailableRootCount": { "type": "integer", "description": "The job's total available root count", "format": "int32" }, "disableJobKeys": { "type": "array", "items": { "type": "string" }, "description": "List of disabled job keys" }, "scheduleLookups": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.Lookups" }, "scheduleNotificationTriggerTypes": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.Common.KeyValue" }, "description": "List of the job's schedule notification trigger types" }, "assignedLabels": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.AssignedLabel" }, "description": "The job's assigned labels" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.Common.ErrorResponse": { "title": "ErrorResponse", "type": "object", "properties": { "error": { "type": "string", "nullable": true } }, "additionalProperties": false }, "Configuration.Api.Models.v1.JobDetail": { "title": "JobDetail", "type": "object", "properties": { "jobId": { "type": "integer", "description": "The job's ID", "format": "int32", "nullable": true }, "name": { "type": "string", "description": "The job's name", "nullable": true }, "description": { "type": "string", "description": "The job's description", "nullable": true }, "jobSteps": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.StepDetail" }, "description": "List of the job's steps" }, "jobSchedules": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.JobScheduleDetail" }, "description": "List of the job's schedules" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.Common.KeyValue": { "title": "KeyValue", "type": "object", "additionalProperties": false }, "Configuration.Api.Models.v1.AvailableItem": { "title": "AvailableItem", "type": "object", "properties": { "key": { "type": "string", "description": "The key of the available item", "nullable": true }, "name": { "type": "string", "description": "The name of the available item", "nullable": true }, "icon": { "type": "integer", "description": "The icon of the available item", "format": "int32" }, "childCount": { "type": "integer", "description": "The child count of the available item", "format": "int32" }, "context": { "type": "string", "description": "The context of the available item", "nullable": true } }, "additionalProperties": false }, "Configuration.Api.Models.v1.Lookups": { "title": "Lookups", "type": "object", "properties": { "scheduleRecurrenceTypes": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.Common.KeyValue" }, "description": "List of the schedule recurrence types" }, "monthlyRecurrenceTypes": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.Common.KeyValue" }, "description": "List of the monthly recurrence types" }, "dayOfWeekOptions": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.Common.KeyValue" }, "description": "List of the day of the week options" }, "weekOfMonthOptions": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.Common.KeyValue" }, "description": "List of the week of the month options" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.AssignedLabel": { "title": "AssignedLabel", "type": "object", "properties": { "id": { "type": "integer", "description": "The ID of the label assignment", "format": "int32" }, "labelId": { "type": "integer", "description": "The ID of the label", "format": "int32" }, "labelName": { "type": "string", "description": "The name of the label", "nullable": true }, "isLocked": { "type": "boolean", "description": "Whether the label is locked" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.StepDetail": { "title": "StepDetail", "type": "object", "properties": { "stepId": { "type": "integer", "description": "The step's ID", "format": "int32", "nullable": true }, "typeId": { "type": "integer", "description": "The step's type ID", "format": "int32" }, "objectId": { "type": "integer", "description": "The step's object ID", "format": "int32" }, "sequence": { "type": "integer", "description": "The step's sequence number", "format": "int32" }, "configurationJson": { "type": "string", "description": "The step's configuration information, written in JSON", "nullable": true }, "isEnabled": { "type": "boolean", "description": "Whether the step is enabled" }, "dupHash": { "type": "integer", "description": "The step's dup hash", "format": "int32" }, "name": { "type": "string", "description": "The step's name", "nullable": true }, "icon": { "type": "integer", "description": "The step's icon", "format": "int32" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.JobScheduleDetail": { "title": "JobScheduleDetail", "type": "object", "properties": { "jobScheduleId": { "type": "integer", "description": "The job schedule's ID", "format": "int32", "nullable": true }, "emailAddresses": { "type": "string", "description": "The job schedule's email address", "nullable": true }, "emailSubject": { "type": "string", "description": "The job schedule's email subject", "nullable": true }, "isImmediate": { "type": "boolean", "description": "Whether the job schedule is immediate" }, "includedTestCount": { "type": "integer", "description": "How many test results to include", "format": "int32" }, "onlyIncludeFailedTests": { "type": "boolean", "description": "Whether to only include failed tests" }, "scheduleDetail": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.ScheduleDetail" }, "selectedNotificationTriggerIds": { "type": "array", "items": { "type": "integer", "format": "int32" }, "description": "List of the selected notification trigger ids" }, "notificationTriggers": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.Common.KeyValue" }, "description": "List of the notification triggers" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.ScheduleDetail": { "title": "ScheduleDetail", "type": "object", "properties": { "scheduleId": { "type": "integer", "description": "The schedule ID", "format": "int32", "nullable": true }, "codeScheduleRecurrenceId": { "type": "integer", "description": "The schedule recurrence ID", "format": "int32" }, "codeMonthlyRecurrenceId": { "type": "integer", "description": "The monthly recurrence ID", "format": "int32" }, "scheduleRecurrence": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.ScheduleRecurrence" }, "monthlyRecurrence": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.MonthlyRecurrence" }, "dateStart": { "type": "string", "description": "The start date", "format": "date-time", "nullable": true }, "dateEnd": { "type": "string", "description": "The end date", "format": "date-time", "nullable": true }, "monthlyAbsoluteRecurrenceInterval": { "type": "integer", "description": "The monthly absolute recurrence interval", "format": "int32", "nullable": true }, "monthlyRelativeRecurrenceInterval": { "type": "integer", "description": "The monthly relative recurrence interval", "format": "int32", "nullable": true }, "weeklyRecurrenceInterval": { "type": "integer", "description": "The weekly recurrence interval", "format": "int32", "nullable": true }, "dailyRecurrenceInterval": { "type": "integer", "description": "The daily recurrence interval", "format": "int32", "nullable": true }, "timeZoneKey": { "type": "string", "description": "The time zone key of the schedule", "nullable": true }, "timeStart": { "type": "string", "description": "The start time", "format": "date-time", "nullable": true }, "timeEnd": { "type": "string", "description": "The ending time", "format": "date-time", "nullable": true }, "timeOnce": { "type": "string", "description": "The time if the schedule only executes once", "format": "date-time", "nullable": true }, "timeIntervalValue": { "type": "integer", "description": "The time interval value", "format": "int32", "nullable": true }, "timeIntervalType": { "type": "integer", "description": "The time interval type", "format": "int32" }, "daysOfWeek": { "type": "string", "description": "The days of the week scheduled", "nullable": true }, "dayOfMonth": { "type": "integer", "description": "The day of the month scheduled", "format": "int32", "nullable": true }, "weekOfMonth": { "type": "integer", "description": "The week of the month scheduled", "format": "int32", "nullable": true }, "dayOfWeek": { "type": "integer", "description": "The day of the week scheduled", "format": "int32", "nullable": true }, "isEnabled": { "type": "boolean", "description": "Whether the schedule is enabled" }, "isActive": { "type": "boolean", "description": "Whether the schedule is active" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.ScheduleRecurrence": { "title": "ScheduleRecurrence", "enum": [ "Daily", "Weekly", "Monthly" ], "type": "string" }, "Configuration.Api.Models.v1.MonthlyRecurrence": { "title": "MonthlyRecurrence", "enum": [ "Absolute", "Relative" ], "type": "string" } } } } ````